Tools
Update API Integration Tool
Update an existing API integration tool configuration
PUT
/
tools
/
{tool_id}
Update Tool
curl --request PUT \
--url https://api.kallabot.com/tools/{tool_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tools": [
{
"type": "function",
"function": {
"name": "check_availability_v2",
"description": "Check appointment availability with updated parameters",
"parameters": {
"type": "object",
"properties": {
"date": {
"type": "string",
"format": "date"
},
"time": {
"type": "string"
},
"duration": {
"type": "integer"
}
},
"required": [
"date",
"time"
]
}
}
}
],
"tools_params": {
"check_availability_v2": {
"method": "POST",
"url": "https://api.example.com/v2/availability",
"api_token": "updated_token"
}
},
"category": "scheduling",
"tags": [
"availability",
"booking",
"v2"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tools: [
{
type: 'function',
function: {
name: 'check_availability_v2',
description: 'Check appointment availability with updated parameters',
parameters: {
type: 'object',
properties: {
date: {type: 'string', format: 'date'},
time: {type: 'string'},
duration: {type: 'integer'}
},
required: ['date', 'time']
}
}
}
],
tools_params: {
check_availability_v2: {
method: 'POST',
url: 'https://api.example.com/v2/availability',
api_token: 'updated_token'
}
},
category: 'scheduling',
tags: ['availability', 'booking', 'v2']
})
};
fetch('https://api.kallabot.com/tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kallabot.com/tools/{tool_id}"
payload = {
"tools": [
{
"type": "function",
"function": {
"name": "check_availability_v2",
"description": "Check appointment availability with updated parameters",
"parameters": {
"type": "object",
"properties": {
"date": {
"type": "string",
"format": "date"
},
"time": { "type": "string" },
"duration": { "type": "integer" }
},
"required": ["date", "time"]
}
}
}
],
"tools_params": { "check_availability_v2": {
"method": "POST",
"url": "https://api.example.com/v2/availability",
"api_token": "updated_token"
} },
"category": "scheduling",
"tags": ["availability", "booking", "v2"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"tool_schema": {
"tools": [
{
"type": "function",
"function": {
"name": "get_customer_orders",
"description": "Fetch recent orders for a customer by ID.",
"parameters": {},
"strict": true
}
}
],
"tools_params": {},
"mcp_servers": [
{
"url": "<string>"
}
],
"api_tool_ids": [
"<string>"
],
"call_transfer_config": {},
"call_transfer_description": "<string>"
},
"tags": [
"<string>"
],
"isActive": true,
"lastTested": "2023-11-07T05:31:56Z",
"testStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I
Update Tool
curl --request PUT \
--url https://api.kallabot.com/tools/{tool_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tools": [
{
"type": "function",
"function": {
"name": "check_availability_v2",
"description": "Check appointment availability with updated parameters",
"parameters": {
"type": "object",
"properties": {
"date": {
"type": "string",
"format": "date"
},
"time": {
"type": "string"
},
"duration": {
"type": "integer"
}
},
"required": [
"date",
"time"
]
}
}
}
],
"tools_params": {
"check_availability_v2": {
"method": "POST",
"url": "https://api.example.com/v2/availability",
"api_token": "updated_token"
}
},
"category": "scheduling",
"tags": [
"availability",
"booking",
"v2"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tools: [
{
type: 'function',
function: {
name: 'check_availability_v2',
description: 'Check appointment availability with updated parameters',
parameters: {
type: 'object',
properties: {
date: {type: 'string', format: 'date'},
time: {type: 'string'},
duration: {type: 'integer'}
},
required: ['date', 'time']
}
}
}
],
tools_params: {
check_availability_v2: {
method: 'POST',
url: 'https://api.example.com/v2/availability',
api_token: 'updated_token'
}
},
category: 'scheduling',
tags: ['availability', 'booking', 'v2']
})
};
fetch('https://api.kallabot.com/tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kallabot.com/tools/{tool_id}"
payload = {
"tools": [
{
"type": "function",
"function": {
"name": "check_availability_v2",
"description": "Check appointment availability with updated parameters",
"parameters": {
"type": "object",
"properties": {
"date": {
"type": "string",
"format": "date"
},
"time": { "type": "string" },
"duration": { "type": "integer" }
},
"required": ["date", "time"]
}
}
}
],
"tools_params": { "check_availability_v2": {
"method": "POST",
"url": "https://api.example.com/v2/availability",
"api_token": "updated_token"
} },
"category": "scheduling",
"tags": ["availability", "booking", "v2"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"tool_schema": {
"tools": [
{
"type": "function",
"function": {
"name": "get_customer_orders",
"description": "Fetch recent orders for a customer by ID.",
"parameters": {},
"strict": true
}
}
],
"tools_params": {},
"mcp_servers": [
{
"url": "<string>"
}
],
"api_tool_ids": [
"<string>"
],
"call_transfer_config": {},
"call_transfer_description": "<string>"
},
"tags": [
"<string>"
],
"isActive": true,
"lastTested": "2023-11-07T05:31:56Z",
"testStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}
